Skip to content
中文

GET /higgsfield/tpl/avatar-presets

Method: GETEndpoint: /higgsfield/tpl/avatar-presets

Request Parameters

Query Parameters

text
size
integer
Number of templates returned
Optional
Example:
30
search
string
Search keywords
Optional

Header Parameters

text
Authorization
string
Optional
Default Value:
Bearer {{YOUR_API_KEY}}

Body Parameters application/json

text
size
integer
Items returned per page
Optional
Default Value:
30
search
string
Search keywords
Optional
Example
{
"size"
:
30
,
"search"
:
"string"
}

Example Request

Shell

bash
curl --location --request GET '/higgsfield/tpl/avatar-presets?size=30&search=' \
--header 'Authorization: Bearer {{YOUR_API_KEY}}' \
--header 'Content-Type: application/json' \
--data-raw '{
    "size": 30,
    "search": "string"
}'

Response

🟢 200 Success

Content Type: application/json

Response Schema

text
items
array
[object]
Required
id
string
Optional
name
string
Optional
media
object
Optional
params
object
Optional
total
integer
Required
cursor
integer
Required

Example

json
{
  "items": [
    {
      "id": "7f1xkmlzvtCNncSqUYMTbU",
      "name": "Selfie",
      "media": {
        "url": "https://d1xarpci4ikg0w.cloudfront.net/7d1ce555-ebb4-46ca-8932-d3f6b2d15459.mp4",
        "type": "video",
        "width": 500,
        "height": 888,
        "thumbnail_url": "https://d1xarpci4ikg0w.cloudfront.net/d10ddb13-22f7-4182-ba8c-0007fe7f7369.webp"
      },
      "params": {
        "quality": "low",
        "chunks_count": 3
      }
    }
  ],
  "total": 28,
  "cursor": 2
}